<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>react-native-bluetooth-serial: RCTBluetoothSerial/RCTBluetoothSerial.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">react-native-bluetooth-serial
   &#160;<span id="projectnumber">1.0.0</span>
   </div>
   <div id="projectbrief">Portofhttps://github.com/don/BluetoothSerialforreactnative</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_ee99dfc0624c8ce63b2777540ae36555.html">RCTBluetoothSerial</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">RCTBluetoothSerial.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  RCTBluetoothSerial.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  RCTBluetoothSerial</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by Jakub Martyčák on 17.04.16.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2016 Jakub Martyčák. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &lt;React/RCTBridgeModule.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#import &lt;React/RCTEventDispatcher.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//#import &quot;RCTEventEmitter.h&quot; Wasnt working properly yet, events were fired but listeneres not called</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#import &quot;BLE.h&quot;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="../../d8/d7e/interfaceRCTBluetoothSerial.html">   15</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="../../d8/d7e/interfaceRCTBluetoothSerial.html">RCTBluetoothSerial</a> : NSObject &lt;RCTBridgeModule,<a class="code" href="../../de/d74/protocolBLEDelegate-p.html">BLEDelegate</a>&gt; {</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <a class="code" href="../../db/df9/interfaceBLE.html">BLE</a> *_bleShield;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    BOOL _subscribed;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    RCTPromiseResolveBlock _connectionResolver;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    RCTPromiseRejectBlock _connectionRejector;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    NSString* _subscribeCallbackId;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    NSString* _subscribeBytesCallbackId;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    NSString* _rssiCallbackId;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    NSMutableString *_buffer;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    NSString *_delimiter;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterfaceBLE_html"><div class="ttname"><a href="../../db/df9/interfaceBLE.html">BLE</a></div><div class="ttdef"><b>Definition:</b> BLE.h:34</div></div>
<div class="ttc" id="aprotocolBLEDelegate-p_html"><div class="ttname"><a href="../../de/d74/protocolBLEDelegate-p.html">BLEDelegate-p</a></div><div class="ttdef"><b>Definition:</b> BLE.h:23</div></div>
<div class="ttc" id="ainterfaceRCTBluetoothSerial_html"><div class="ttname"><a href="../../d8/d7e/interfaceRCTBluetoothSerial.html">RCTBluetoothSerial</a></div><div class="ttdef"><b>Definition:</b> RCTBluetoothSerial.h:15</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
